Bug 1382426 - vim 8 defaults to visual mode but does not setup to copy to the clipboard
Summary: vim 8 defaults to visual mode but does not setup to copy to the clipboard
Keywords:
Status: CLOSED DUPLICATE of bug 1401410
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-06 16:28 UTC by Dennis Gilmore
Modified: 2017-06-06 20:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 14:27:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Dennis Gilmore 2016-10-06 16:28:00 UTC
Description of problem:

When using vim 8 if you select text it automatically turns on visual mode, you can copy the text to the vim buffers to paste into oter vim docs but you can ot get the text to the system clipboard using "+y

it also breaks the terminals ability to detect urls to open. 
either integration with the systems clipboard is needed or the default to visual mode needs to be turned off 


Version-Release number of selected component (if applicable):
vim-common-8.0.003-1.fc26.x86_64
vim-enhanced-8.0.003-1.fc26.x86_64
vim-minimal-8.0.003-1.fc26.x86_64
vim-filesystem-8.0.003-1.fc26.x86_64
vim-X11-8.0.003-1.fc26.x86_64


How reproducible:

always 

Steps to Reproduce:
1. try to copy text using "+y
2.
3.

Actual results:
nothing in teh system clipboard

Expected results:
copied text in the system clipboard

Additional info:

non visual mode was simpler for this use case, but visual mode is simpler for selecting text to copy within vim

Comment 1 Karsten Hopp 2016-10-12 09:40:57 UTC
I'll take a look

Comment 2 Mas 2016-12-14 06:10:55 UTC
Regarding VIM enabling visual mode after right clicking.  I opened a ticket via github https://github.com/vim/vim/issues/1326  . Hopefully we can get a answer over there.  This was a slight problem for me until I found i could disable this by issuing :set mouse-=a  .. My ticket on github is more of a question if this is by design  or truly a bug. 

hope this helps . I know this bug ticket was open a few months back. So i figure i would post as this may help others.

Comment 3 Zdenek Dohnal 2017-02-07 13:41:24 UTC
Hi Dennis,

would you mind trying the newest vim version if problem is solved? I think this bug is duplicate of #1401410.

Comment 4 Fedora End Of Life 2017-02-28 10:25:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Zdenek Dohnal 2017-02-28 14:27:28 UTC
Closing as duplicate of #1401410.

*** This bug has been marked as a duplicate of bug 1401410 ***

Comment 6 Dennis Gilmore 2017-06-06 20:32:58 UTC
clearing needinfo


Note You need to log in before you can comment on or make changes to this bug.